﻿using System.Threading.Tasks;

namespace UltimaCR.Rotations
{
    public sealed partial class Machinist : Rotation
    {
        public override async Task<bool> Combat()
        {
            if (Ultima.UltSettings.SmartTarget)
            {
                if (await GrenadoShot()) return true;
                if (await SpreadShot()) return true;
                if (await Dismantle()) return true;
                if (await HotShot()) return true;
                if (await LeadShot()) return true;
                if (await CleanShot()) return true;
                if (await SlugShot()) return true;
                return await SplitShot();
            }
            if (Ultima.UltSettings.SingleTarget)
            {
                if (await Dismantle()) return true;
                if (await HotShot()) return true;
                if (await LeadShot()) return true;
                if (await CleanShot()) return true;
                if (await SlugShot()) return true;
                return await SplitShot();

            }
            if (Ultima.UltSettings.MultiTarget)
            {
                if (await GrenadoShot()) return true;
                if (await SpreadShot()) return true;
                if (await Dismantle()) return true;
                if (await HotShot()) return true;
                if (await LeadShot()) return true;
                if (await CleanShot()) return true;
                if (await SlugShot()) return true;
                return await SplitShot();
            }
            return false;

        }

        public override async Task<bool> PVPRotation()
        {
            return false;
        }
    }
}